# build/poptBT.c File Reference

`#include "system.h"`
`#include <rpmcli.h>`
`#include <rpmbuild.h>`
`#include "build.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines

#define | POPT_USECATALOG -1000
#define | POPT_NOLANG -1001
#define | POPT_RMSOURCE -1002
#define | POPT_RMBUILD -1003
#define | POPT_BUILDROOT -1004
#define | POPT_TARGETPLATFORM -1007
#define | POPT_NOBUILD -1008
#define | POPT_SHORTCIRCUIT -1009
#define | POPT_RMSPEC -1010
#define | POPT_NODEPS -1011
#define | POPT_SIGN -1012
#define | POPT_FORCE -1013
#define | POPT_REBUILD 0x4220
#define | POPT_RECOMPILE 0x4320
#define | POPT_BA 0x6261
#define | POPT_BB 0x6262
#define | POPT_BC 0x6263
#define | POPT_BI 0x6269
#define | POPT_BL 0x626c
#define | POPT_BP 0x6270
#define | POPT_BS 0x6273
#define | POPT_TA 0x7461
#define | POPT_TB 0x7462
#define | POPT_TC 0x7463
#define | POPT_TI 0x7469
#define | POPT_TL 0x746c
#define | POPT_TP 0x7470
#define | POPT_TS 0x7473

## Functions

static void | buildArgCallback (poptContext con, enum poptCallbackReason reason, const struct poptOption *opt, const char *arg, const void *data)

## Variables

struct rpmBuildArguments_s | rpmBTArgs
int | _noDirTokens
int | _fsm_debug
static int | force = 0
int | noLang = 0
static int | noBuild = 0
static int | noDeps = 0
static int | signIt = 0
static int | useCatalog = 0
struct poptOption | rpmBuildPoptTable []

## Define Documentation

#define POPT_BA 0x6261

Definition at line 32 of file poptBT.c.

#define POPT_BB 0x6262

Definition at line 33 of file poptBT.c.

#define POPT_BC 0x6263

Definition at line 34 of file poptBT.c.

#define POPT_BI 0x6269

Definition at line 35 of file poptBT.c.

#define POPT_BL 0x626c

Definition at line 36 of file poptBT.c.

#define POPT_BP 0x6270

Definition at line 37 of file poptBT.c.

#define POPT_BS 0x6273

Definition at line 38 of file poptBT.c.

#define POPT_BUILDROOT -1004

Definition at line 21 of file poptBT.c.

#define POPT_FORCE -1013

Definition at line 28 of file poptBT.c.

#define POPT_NOBUILD -1008

Definition at line 23 of file poptBT.c.

#define POPT_NODEPS -1011

Definition at line 26 of file poptBT.c.

#define POPT_NOLANG -1001

Definition at line 18 of file poptBT.c.

#define POPT_REBUILD 0x4220

Definition at line 30 of file poptBT.c.

#define POPT_RECOMPILE 0x4320

Definition at line 31 of file poptBT.c.

#define POPT_RMBUILD -1003

Definition at line 20 of file poptBT.c.

#define POPT_RMSOURCE -1002

Definition at line 19 of file poptBT.c.

#define POPT_RMSPEC -1010

Definition at line 25 of file poptBT.c.

#define POPT_SHORTCIRCUIT -1009

Definition at line 24 of file poptBT.c.

#define POPT_SIGN -1012

Definition at line 27 of file poptBT.c.

#define POPT_TA 0x7461

Definition at line 39 of file poptBT.c.

#define POPT_TARGETPLATFORM -1007

Definition at line 22 of file poptBT.c.

#define POPT_TB 0x7462

Definition at line 40 of file poptBT.c.

#define POPT_TC 0x7463

Definition at line 41 of file poptBT.c.

#define POPT_TI 0x7469

Definition at line 42 of file poptBT.c.

#define POPT_TL 0x746c

Definition at line 43 of file poptBT.c.

#define POPT_TP 0x7470

Definition at line 44 of file poptBT.c.

#define POPT_TS 0x7473

Definition at line 45 of file poptBT.c.

#define POPT_USECATALOG -1000

Definition at line 17 of file poptBT.c.

## Function Documentation

static void buildArgCallback | ( | poptContext | con,
|  | enum poptCallbackReason | reason,
|  | const struct poptOption * | opt,
|  | const char * | arg,
|  | const void * | data |
| ) |  |  | `[static]`

Definition at line 76 of file poptBT.c.

## Variable Documentation

int _fsm_debug

Definition at line 20 of file fsm.c.

int _noDirTokens

Definition at line 289 of file misc.c.

int force = 0`[static]`

Definition at line 55 of file poptBT.c.

int noBuild = 0`[static]`

Definition at line 63 of file poptBT.c.

int noDeps = 0`[static]`

Definition at line 66 of file poptBT.c.

int noLang = 0

Definition at line 59 of file poptBT.c.

int signIt = 0`[static]`

Definition at line 69 of file poptBT.c.

int useCatalog = 0`[static]`

Definition at line 72 of file poptBT.c.